WordPress.org

Ready to get started?Download WordPress

Forums

CQS not supported for WP 2.3 (6 posts)

  1. sylvainman
    Member
    Posted 6 years ago #

    I have a database error since I have upgraded my WP to 2.3.
    After a while, I found the errors come from CQS. But this plugin is no more supported.
    Is somebody (better than me) could look at it ?

  2. MichaelH
    Member
    Posted 6 years ago #

    Andy Beard adopted that plugin so maybe he'll be updating it for 2.3

    http://andybeard.eu/wordpress-plugins/custom-query-string-utw

  3. sylvainman
    Member
    Posted 6 years ago #

    I have modified it myself :

    [Moderated: Too much code. Please consider placing the code in a text file on your site with a link here -or- use a pastebin service such as http://wordpress.pastebin.ca. Thanks!]

  4. Andy Beard
    Member
    Posted 6 years ago #

    I will be updating, and also having it listed in the SVN repo to make life easy for people

  5. mdi
    Member
    Posted 6 years ago #

    maybe a solution... tested it on my testblog, and I think it works ;o)

    in custom-query-string.php (line 252) change:

    ... SELECT cat_ID FROM $wpdb->categories WHERE category_nicename = ...

    to:

    ... SELECT term_ID FROM $wpdb->terms WHERE slug = ...

  6. orangganjil
    Member
    Posted 6 years ago #

    I have verified that the modifications work great.

    in custom-query-string.php I changed the following text (just search in Vi for "cat_ID" and you'll find it):

    SELECT cat_ID FROM $wpdb->categories WHERE category_nicename =

    to...

    SELECT term_id FROM $wpdb->terms WHERE slug =

    That has worked well on my blog and I have had no problems whatsoever.

Topic Closed

This topic has been closed to new replies.

About this Topic